# Get client details

Returns basic demographic information for a given client number

Endpoint: GET /slapi/clients/clientdetails
Version: 0.0.1
Security: BasicAuthCredentials

## Security:

  - `BasicAuthCredentials` (unknown)
    http basic

## Query parameters:

  - `clientnumber` (string, required)

## Response 200:

  - `200` (unknown)
    Get Client Details

## Response 200 fields (applicaiton/json):

  - `firstName` (string)
    Example: John

  - `lastName` (string)
    Example: Doe

  - `middleInit` (string)
    Example: D

  - `address1` (string)
    Example: 10 Main St

  - `address2` (string)
    Example: Suite 1

  - `city` (string)
    Example: Buffalo

  - `state` (string)
    Example: NY

  - `zip` (string)
    Example: 14220

  - `dob` (string)
    Example: 1980-12-25T00:00:00.000Z

  - `homePhone` (string)
    Example: 7165551234

  - `cellPhone` (string)
    Example: 7165555678

  - `workPhone` (string)
    Example: 7165559876

  - `workExt` (string)
    Example: 123

  - `gender` (string)
    Example: male

  - `email` (string)
    Example: jdoe@test.com

  - `lastVisit` (string)
    Example: 2025-06-26T13:39:49.849Z

  - `homeStore` (string)
    Example: Store 1

  - `skinType` (string)
    Example: fair

  - `eyeColor` (string)
    Example: blue

  - `howHear` (string)
    Example: Marketing

## Response 404:

  - `404` (unknown)
    Client not found

## Response 404 fields (applicatoin/json):

  - `error` (string)

  - `message` (string)

